Loading...
Searching...
No Matches
Opm::Properties::WettingFluid< TypeTag, TTag::Richards > Struct Template Reference

The wetting phase used. More...

`#include <richardsmodel.hh>`

## Public Types

using | type = LiquidPhase<Scalar, NullComponent<Scalar>>

## Detailed Description

template<class TypeTag>
struct Opm::Properties::WettingFluid< TypeTag, TTag::Richards >

The wetting phase used.

By default we use the null-phase, i.e. this has to be defined by the problem for the program to work. Please be aware that you should be careful to use the Richards model in conjunction with liquid non-wetting phases. This is only meaningful if the viscosity of the liquid phase is much lower than the viscosity of the wetting phase.

The documentation for this struct was generated from the following file:

- opm/models/richards/richardsmodel.hh